# Dashboard Stats

The following API return you the the balance stats & Daily order stats .&#x20;

**Daily Order Stats:**

* Amount Processed: Total sales amount for current day
* Keys Processed: Total keys sold today
* Orders Processed: Total orders processed today
* Products Sold: Number of unique products sold today

**Balance Data:**

* totalEarnings: Total Earnings (Withdrawable balance + Balance on hold + Refunds + Total Withdrawn)
* onHoldBalance: Amount on hold for +7 days after the sale.
* withdrawalBal: Amount available for withdrawal
* refundedBal: Amount refunded so far
* totalWithdrawn: Amount withdrawn so far

{% hint style="info" %}
All the stats are calculated as per GMT timezone and this might be different from the stats in your dashboard, since on the dashboard it is calculated taking the User's local timezone as reference. &#x20;
{% endhint %}

{% openapi src="/files/2c2BW70YxXf3SQ3mP0XW" path="/dashboard" method="get" %}
[swagger-3.json](https://407468006-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FfPzmNpsOZnU4ujov7zQD%2Fuploads%2FPOu2363NAxfDPFd2aVw1%2Fswagger-3.json?alt=media\&token=ca296dec-7bba-4fe4-936f-efcb42909154)
{% endopenapi %}

<mark style="color:green;">`GET`</mark> `/dashboard`

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "message": "string",
  "statusCode": 200,
  "data": {
    "dailyOrdersData": [
      {
        "day": "string",
        "amountProcessed": 0,
        "keysProcessed": 0,
        "ordersProcessed": 0,
        "productsSold": 0
      }
    ],
    "balanceData": {
      "totalBal": 0,
      "onHoldBal": 0,
      "withdrawalBal": 0,
      "refundedBal": 0,
      "totalWithdrawn": 0,
      "totalEarnings": 0,
      "totalVatAmount": 0,
      "totalUnfulfilledSaleFee": 0
    }
  }
}
```

{% endtab %}

{% tab title="400" %}

```json
{
    "message": "Bad Request. Wrong/Invalid params format.",
    "statusCode": 400 
}
```

{% endtab %}

{% tab title="401" %}

```
{
    "message": "UnAuthorized request. Invalid/Expired token",
    "statusCode": 401
}
```

{% endtab %}

{% tab title="403" %}

```
{
    "message": "Forbidden Request. Action not allowed or Rate Limit exhausted.", 
    "statusCode": 403
}
```

{% endtab %}

{% tab title="500" %}

```
{
    "message": "Internal Server Error",
    "statusCode": 500
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.driffle.com/driffle-seller-api-legacy/reference/api-reference/dashboard-stats.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
